from sqlalchemy import Column, Integer, String
from database import Base

class LLMSettings(Base):
    __tablename__ = "llm_settings"
    id = Column(Integer, primary_key=True, index=True)
    provider = Column(String(100), default="groq")
    api_key = Column(String(100), nullable=False)
    model = Column(String(100), nullable=False)